| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_cfft_radix2_q31.c File Reference

## Functions
void | arm_radix2_butterfly_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint16_t twidCoefModifier)
void | arm_radix2_butterfly_inverse_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pCoef, uint16_t twidCoefModifier)
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_cfft_radix2_q31 (const arm_cfft_radix2_instance_q31 *S, q31_t *pSrc)
| Processing function for the fixed-point CFFT/CIFFT. More...

## Function Documentation

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

void arm_radix2_butterfly_inverse_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

Referenced by arm_cfft_radix2_q31().

void arm_radix2_butterfly_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pCoef,
|  | uint16_t | twidCoefModifier
| ) |  |

end of ComplexFFT group

Referenced by arm_cfft_radix2_q31().